ECHO OFF
ECHO *******************************************************
REM The Batch file that Modifies PacGen to give 
REM German vs US campaign
ECHO Diversion 1945 a new campaign by Fred Chlanda for
ECHO Pacific General made with Camp Edit by Bill Haering
ECHO *******************************************************
ECHO This batch program will make modifications to
ECHO your Pacific General installation. PLEASE read 
ECHO Read1st.txt to be sure that the installation 
ECHO is correct and for a description of install options.
CHOICE Install this modification now 
IF ERRORLEVEL 2 GOTO END
ECHO *******************************************************
ECHO Data and scenarios can be backed up.
CHOICE Do you wish to use 45meg of disk space for this 
IF ERRORLEVEL 2 GOTO :SKIPBACKUP 
MD ..\olddata
MD ..\oldscen
ECHO Backing up data to olddata
copy ..\data\*.* ..\olddata\*.*
ECHO Backing up scen to oldscen
copy ..\scen\*.* ..\oldscen\*.*
:SKIPBACKUP
del ..\scen\*.des
del ..\scen\*.tit
del ..\scen\*.scn
del ..\scen\*.tst
copy *.des ..\scen\*.*
copy *.tit ..\scen\*.*
copy *.scn ..\scen\*.*
copy *.tst ..\scen\*.*
ECHO *******************************************************
ECHO Updating Pacific General with Steve Strayer's 
ECHO equipment files
copy pacequip.* ..\data\*.*
ECHO *******************************************************
ECHO New scenario messages are about to be installed.
ECHO You need 10 meg free on this disk to do this.
CHOICE Do you want to install new text 
IF ERRORLEVEL 2 GOTO SKIPTEXT
copy ..\data\txt.pfp 
copy ..\data\pfpdata.idx
upagtxt.exe
copy *.txt *.tx_
ppagtxt.exe
del *.tx_
copy newtxt.pfp ..\data\txt.pfp
del newtxt.pfp
copy newpfp.idx ..\data\pfpdata.idx
del pfpdata.idx
del txt.pfp
ren newpfp.idx pfpdata.idx

:SKIPTEXT 
ECHO *******************************************************
ECHO You can change some Axis graphics to be more 
ECHO European. This takes (temporarily)about 40
ECHO megabytes of disk space.
CHOICE Do you want to update graphics
IF ERRORLEVEL 2 GOTO SKIPGRAPHICS
copy ..\data\shp.pfp
upagshp.exe
copy *.sh_ *.shp
ppagshp.exe
del *.shp
del shplst.txt
del shp.pfp
copy _shp.pfp ..\data\shp.pfp
del _shp.pfp
copy _pfpdata.idx ..\data\pfpdata.idx
del _pfpdata.idx
del pfpdata.idx
:SKIPGRAPHICS
ECHO *******************************************************
ECHO This completes installation. It is suggested 
ECHO that Pacific General music be disabled so that 
ECHO you can play without the CD ROM in the drive 
ECHO to avoid inappropriate narration and cut scenes.
:END